<?php

  // include base peer class
  require_once 'model/om/BasePagePeer.php';
  
  // include object class
  include_once 'model/Page.php';


/**
 * Skeleton subclass for performing query and update operations on the 'page' table.
 *
 * 
 *
 * You should add additional methods to this class to meet the
 * application requirements.  This class will only be generated as
 * long as it does not already exist in the output directory.
 *
 * @package model
 */	
class PagePeer extends BasePagePeer {
  public function getPageByPermanentTitle($title)
  {
		
		$criteria = new Criteria(PagePeer::DATABASE_NAME);
		$result = PagePeer::doSelect($criteria);
		
		foreach ($result as $page)
		{
		  if ($title == $page->getPermanentTitle())
		    return $page;
		}
		
		return null;
  }
  
  function getJustTitle(Criteria $c) {
    $c->clearSelectColumns()->addSelectColumn(self::TITLE);
    $rs = PagePeer::doSelectRS($c);
    $titles = array();
    while($rs->next()) {
      $titles[] = $rs->get(1);
    }
    return $titles;
  }
} // PagePeer
